import request from "@/http/request";

const getAllGoods = () => {
    return request({
        url: '/goods/getAllGoods',
        method: 'get'
    })
}

const getPartInfo = (params) => {
    return request({
        url: '/goods/getPartInfo',
        method: 'post',
        data: params
    })
}

const updateGoodsInfo = (params) => {
    return request({
        url: '/goods/updateGoodsInfo',
        method: 'post',
        data: params
    })
}

const queryPartInfoByPartNo = (params) => {
    return request({
        url: '/goods/queryPartInfoByPartNo',
        method: 'post',
        data: params
    })
}

const updatePartInfo = (params) => {
    return request({
        url: '/goods/updatePartInfo',
        method: 'post',
        data: params
    })
}

const queryPartNo = (params) => {
    return request({
        url: '/goods/queryPartNo',
        method: 'post',
        data: params
    })
}

const deleteCurrentPartInfo = (params) => {
    return request({
        url: '/goods/deletePartInfo',
        method: 'post',
        data: params
    })
}

export {
    getAllGoods,
    updateGoodsInfo,
    queryPartInfoByPartNo,
    getPartInfo,
    updatePartInfo,
    queryPartNo,
    deleteCurrentPartInfo
}